#[derive (Debug, PartialEq)]
pub enum PlayerAction {
	Quit,
	Help,
	Nonsense,
	RoomSpecific (PlayerActionRoomSpecific),
}

#[derive (Debug, PartialEq)]
pub enum PlayerActionRoomSpecific {
	Hint,
	Wait,
	Look (ItemName),
	LookAround,
	Use (ItemName),
}

#[derive (Clone, Copy, Debug, PartialEq)]
pub enum ItemName {
	Nonsense,
	
	Door,
	EmergencyExit,
	Keypad,
	Note,
	Table,
}
